#
# spec file for package xfce4-panel-plugin-netload
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define panel_version 4.12.0
%define plugin_name xfce4-netload-plugin

Name:           xfce4-panel-plugin-netload
Version:        1.3.1
Release:        lp150.1.3
Summary:        Network Load Monitoring Plugin for the Xfce Panel
License:        GPL-2.0+
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-netload-plugin
Source0:        http://archive.xfce.org/src/panel-plugins/%{plugin_name}/1.3/%{plugin_name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM xfce4-panel-plugin-netload-fix-array-out-of-bounds.patch bxo#11328 gber@opensuse.org -- Fix an array out of bounds write
Patch0:         xfce4-panel-plugin-netload-fix-array-out-of-bounds.patch
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  pkgconfig(libxfce4panel-2.0) >= %{panel_version}
BuildRequires:  pkgconfig(libxfce4ui-2) >= %{panel_version}
Requires:       xfce4-panel >= %{panel_version}
Recommends:     %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Netload plugin allows to monitor the netowrk load of a given network
interface.

%lang_package

%prep
%setup -q -n %{plugin_name}-%{version}
%patch0 -p1

%build
%configure --disable-static
make %{_smp_mflags} V=1

%install
%make_install

rm %{buildroot}%{_libdir}/xfce4/panel/plugins/libnetload.la

%find_lang %{plugin_name} %{name}.lang %{?no_lang_C}

%fdupes %{buildroot}%{_datadir}

%post
%icon_theme_cache_post

%postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_libdir}/xfce4/panel/plugins/libnetload.so
%{_datadir}/xfce4/panel/plugins/netload.desktop
%{_datadir}/icons/hicolor/*/apps/xfce4-netload-plugin.*

%files lang -f %{name}.lang

%changelog
* Wed Apr 19 2017 seife+obs@b1-systems.com
- update to version 1.3.1
  - set progressbar minimal width and height depending on
    orientation (bxo#12941, bxo#12949)
  - apply css on the correct widget class for Gtk 3.16/3.18
  - rework the use of GtkCssProvider to use a singleton
  - translation updates
* Sun Nov 27 2016 seife+obs@b1-systems.com
- update to version 1.3.0
  - port to gtk+3/libxfce4ui-2/libxfce4panel-2.0
  - fix progress bar grow direction in deskbar and vertical modes
- do not package ChangeLog; NEWS is good enough
* Sun Nov 23 2014 gber@opensuse.org
- update to version 1.2.4
  - option to show values as bits
  - reverted "Do not enforce max length for text/device entries"
  - set iface length name to 32 chars max
  - translation updates
- add xfce4-panel-plugin-netload-fix-array-out-of-bounds.patch in
  order to fix an array out of bounds write (bxo#11328)
* Sat Nov 15 2014 gber@opensuse.org
- update to version 1.2.3
  - fix a small bug reported by JR, with really big values the code
    segfaulted in the format_byte_humanreadable function
* Sun Nov  2 2014 gber@opensuse.org
- update to version 1.2.2
  - fix plugin installation path
* Sun Nov  2 2014 gber@opensuse.org
- update to version 1.2.1
  - build plugin as a module
  - update build environment
  - only round to 0 digits for KiB/s values
  - pack progress bars inside event box and hide/show
  - do not enforce max length for text/device entries
  - fix stringsize - 1
* Sun Jul 15 2012 gber@opensuse.org
- update to version 1.2.0
  - some code cleanup and respect the Panel HIG
  - update monitor labels sizes gracefully
  - rectify tooltip information
  - support new panel mode Deskbar
  - drop if_ppp headers
  - reorganize code in monitor_new, setup_monitor and
    monitor_set_orientation
  - keep colorized values after orientation change
  - fix widget visibility on orientation change
* Fri Apr 20 2012 gber@opensuse.org
- added documentation files
* Tue Apr 17 2012 gber@opensuse.org
- corrected source URL
* Tue Apr  3 2012 gber@opensuse.org
- specfile cleanup
- split off -lang subpackage
* Fri Jan 13 2012 gber@opensuse.org
- update to version 1.1.0
  - add option to show values in panel in addition to the bars
  - format units automatically
  - port to libxfce4ui
  - fix two calls to snprintf
* Wed Mar  9 2011 gber@opensuse.org
- new package (split off from xfce4-panel-plugins)
